Subject: Re: bug#66128: 28.2; visible-bell breaks setterm --inversescreen on

From: Thomas Dickey <[email-masked]>
Date: Mon, 25 Sep 2023 04:07:22 -0400

On Mon, Sep 25, 2023 at 08:03:38AM +0300, Eli Zaretskii wrote:
...
> Thanks.  So Emacs should ideally reverse the sequence when the
> terminal is in the reverse-video mode, or at least send the "\033[?5h"
> sequence after sending "flash"?  But can Emacs know that the terminal
> is in this mode at startup?

I don't see how - the usual way (an escape sequence which returns this
information) is not documented for Linux in console_codes.

Lacking that, you'd rely upon the user to tell Emacs what to do.

-- 
Thomas E. Dickey <[email-masked]>
https://invisible-island.net